VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CFileExtension Class Reference

file extension description More...

## Classes
struct | Impl

## Public Member Functions
| CFileExtension (const UTF8String &description, const UTF8String &extension, const UTF8String &mimeType="", int32_t macType=0, const UTF8String &uti="")
| CFileExtension (const CFileExtension &ext)
| ~CFileExtension () noexcept
const UTF8String & | getDescription () const
const UTF8String & | getExtension () const
const UTF8String & | getMimeType () const
const UTF8String & | getUTI () const
int32_t | getMacType () const
bool | operator== (const CFileExtension &ext) const
| CFileExtension (CFileExtension &&ext) noexcept
CFileExtension & | operator= (CFileExtension &&ext) noexcept
| CFileExtension (const PlatformFileExtension &)
const PlatformFileExtension & | getPlatformFileExtension () const

## Protected Member Functions
| CFileExtension ()
void | init (const UTF8String &description, const UTF8String &extension, const UTF8String &mimeType, const UTF8String &uti)

## Protected Attributes
std::unique_ptr< Impl > | impl

## Detailed Description

file extension description

## Constructor & Destructor Documentation

CFileExtension | ( | const UTF8String & | description,
|  | const UTF8String & | extension,
|  | const UTF8String & | mimeType = `""`,
|  | int32_t | macType = `0`,
|  | const UTF8String & | uti = `""`
| ) |  |

CFileExtension | ( | const CFileExtension & | ext | ) |

~CFileExtension | ( |  | ) |
| default noexcept

CFileExtension | ( | CFileExtension && | ext | ) |
| noexcept

CFileExtension | ( | const PlatformFileExtension & | ext | ) |

CFileExtension | ( |  | ) |
| protected

## Member Function Documentation

const UTF8String & getDescription | ( |  | ) | const

const UTF8String & getExtension | ( |  | ) | const

int32_t getMacType | ( |  | ) | const

const UTF8String & getMimeType | ( |  | ) | const

const PlatformFileExtension & getPlatformFileExtension | ( |  | ) | const

const UTF8String & getUTI | ( |  | ) | const

void init | ( | const UTF8String & | description,
|  | const UTF8String & | extension,
|  | const UTF8String & | mimeType,
|  | const UTF8String & | uti
| ) |  |
| protected

CFileExtension & operator= | ( | CFileExtension && | ext | ) |
| noexcept

bool operator== | ( | const CFileExtension & | ext | ) | const

## Member Data Documentation

std::unique_ptr<Impl> impl
| protected

The documentation for this class was generated from the following files:

- cfileselector.h
- cfileselector.cpp